Bug 1719937 - GNOME Extension: Auto-Move-Windows Not Working Properly
Summary: GNOME Extension: Auto-Move-Windows Not Working Properly
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: mutter
Version: 8.1
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: rc
: 8.0
Assignee: Jonas Ådahl
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks: 1739559
TreeView+ depends on / blocked
 
Reported: 2019-06-12 18:52 UTC by Michael Boisvert
Modified: 2020-11-04 01:35 UTC (History)
5 users (show)

Fixed In Version: mutter-3.32.2-44.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-04 01:34:16 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:4451 0 None None None 2020-11-04 01:34:40 UTC

Description Michael Boisvert 2019-06-12 18:52:15 UTC
Description of problem: 

After creating a rule for an application under the settings for auto-move-windows, opening that application places it on the current workspace. Once you change to the workspace which was selected in the rule, the application will be there correctly. 

gnome-shell-extension-auto-move-windows-3.32.1-2.el8.noarch.rpm

Steps to Reproduce:
1. Open gnome-shell-extension-prefs.
2. Turn Auto Move Windows ON and click the settings gear.
3. Create a new rule for gnome-calculator to open in workspace 3.
4. Open calculator.

Actual results: It will open in the current workspace and be oddly greyed out. 

Expected results: Calculator opens in workspace 3. 

Additional info: This issue occurs during an X11 or Wayland session, classic or not.

Comment 1 Florian Müllner 2019-06-17 18:33:57 UTC
This sounds like https://gitlab.gnome.org/GNOME/mutter/issues/572, i.e. a compositor bug rather than an extension issue.

Comment 2 Michael Boisvert 2019-06-17 18:43:23 UTC
Yes, same issue.

Comment 6 Michael Boisvert 2020-06-25 18:35:46 UTC
Tested with multiple rules on different components, mutter-3.32.2-44.el8 seems to have fixed the issue I initially reported. I noticed no regressions or other issues while testing this extension as well.

Comment 9 errata-xmlrpc 2020-11-04 01:34:16 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: GNOME security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:4451


Note You need to log in before you can comment on or make changes to this bug.